Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517885 - Can't set ownership on an Ansible Playbook service through UI
Summary: Can't set ownership on an Ansible Playbook service through UI
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Dan Clarizio
QA Contact: Dave Johnson
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 16:18 UTC by Fabien Dupont
Modified: 2017-12-05 15:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-30 21:48:36 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Description Fabien Dupont 2017-11-27 16:18:48 UTC
Description of problem: When trying to change the ownership of an Ansible Playbook service, one gets the following message: "None of the selected items allow ownership changes".


Version-Release number of selected component (if applicable): 5.9.0.8


How reproducible: Always


Steps to Reproduce:
1. Create a service catalog item of type Ansible Playbook
2. Order the service catalog item
3. In "My Services", open the provisioned service
4. In the "Configuration" menu of the service, click on "Set ownership"

Actual results:
It fails with the "None of the selected items allow ownership changes" message.

Expected results:
The ownership dialog opens.

Additional info:
Using rails console, I was able to change the ownership on the service, so the service allows changing ownership.

Comment 2 Dave Johnson 2017-11-27 16:44:12 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 Fabien Dupont 2017-11-29 18:32:30 UTC
I tested on CFME 5.9.0.11.20171127204214_e316988 and it works as expected.
Thanks for having fixed that.


Note You need to log in before you can comment on or make changes to this bug.